
package notions;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Set;

/**
 *
 * @author B. Gaertner
 */
public class AnalyseErgebnisGleichung {

    private boolean fehlerfrei;
    private HashMap<String, Integer> elementsOnTheLeft;
    private HashMap<String, Integer> elementsOnTheRight;

    public AnalyseErgebnisGleichung(HashMap<String, Integer> lhs,
        HashMap<String, Integer> rhs)
    {
        elementsOnTheLeft = lhs;
        elementsOnTheRight = rhs;
        fehlerfrei = lhs.equals(rhs);
    }

    public boolean istFehlerfrei() {
        return fehlerfrei;
    }

    public boolean fehlerbeschreibung (StringBuilder sb) {
        Set<String> elementeLinks = elementsOnTheLeft.keySet();
        Set<String> elementeRechts = elementsOnTheRight.keySet();
        Iterator<String> iterator1 = elementeLinks.iterator();
        while(iterator1.hasNext()) {
            String el = iterator1.next();
            if (!elementsOnTheRight.containsKey(el)) {
                sb.append("Element ").append(el).append(" fehlt rechts.\n");
            }
        }
        Iterator<String> iterator2 = elementeRechts.iterator();
        while(iterator2.hasNext()) {
            String el = iterator2.next();
            if (!elementsOnTheLeft.containsKey(el)) {
                sb.append("Element ").append(el).append(" fehlt links.\n");
            }
        }
        iterator1 = elementeLinks.iterator();
        while(iterator1.hasNext()) {
            String el = iterator1.next();
            if (elementsOnTheRight.containsKey(el)) {
                int mengeRechts = elementsOnTheRight.get(el);
                int mengeLinks = elementsOnTheLeft.get(el);
                if (mengeLinks > mengeRechts) {
                    sb.append("Element ").append(el).append(" hat links ").
                            append(Integer.toString(mengeLinks - mengeRechts)).
                            append(" Vorkommen mehr als rechts\n");
                } else if (mengeLinks < mengeRechts) {
                    sb.append("Element ").append(el).append(" hat rechts ").
                            append(Integer.toString(mengeRechts - mengeLinks)).
                            append(" Vorkommen mehr als links\n");
                }
            }
        }
        return fehlerfrei;
    }
}

/**
 * Der Aufwand fr eine detaillierte Fehlerbeschreibung ist oft um einiges
 * grer als der Aufwand fr einen einfachen, aber undeutlichen Hinweis.
 */
