
package notions;

import java.util.HashMap;

public class Element extends MassivesPartikel {

    String name;
    String symbol;
    int periode;
    Serie serie;
    Gruppe gruppe;
    Elektronenkonfiguration config;
    float elektronennegativitaet;// nach Pauling
    String casNumber;
    int kernladungszahl;

    public Element (String s, String n, int ordinalNumber, int p, float masse,
            Gruppe g, Serie c, Elektronenkonfiguration ecf, float en) {
        super(masse);
        kernladungszahl = ordinalNumber;
        name = n;
        symbol = s;
        periode = p;
        gruppe = g;
        serie = c;
        config = ecf;
        elektronennegativitaet = en;
    }

    //  um Element in einer HashMap als Schluessel zu verwenden,
    //  sind die MEthoden  hashCode() und equals() neu zu definieren.
    //  Das ist zu erwgen, weil dadurch die Rechnung mit Stoffmengen
    //  vereinfacht wird.
    @Override
    public void berechneStoffmengen(int factor, HashMap<String, Integer> d) {
        d.put(symbol, factor + (d.containsKey(symbol) ? d.get(symbol) : 0));
    }

    public int ordnungszahl() {
        return kernladungszahl;
    }

    public int periode() {
        return periode;
    }

    public Gruppe gruppe() {
        return gruppe;
    }

    public Serie serie() {
        return serie;
    }

    public int gruppennummer() {
        return gruppe.newGroupNumber;
    }

    public String elementsymbol() {
        return symbol;
    }

    public String elementName() {
        return name;
    }

    public int offsetFromFirstGroup() {
        return (config == null ? kernladungszahl : kernladungszahl - config.vorperiode.kernladungszahl);
    }

    @Override
    public void toHtml(StringBuilder sb) {
        sb.append(symbol);
    }
}
