
package notions;

import java.awt.Color;

/**
 *
 * @author B. Gaertner
 */
public class Periodensystem {

    Element [] elemente;

    public Periodensystem () {
        this.setup();
    }

    private void setup() {
        Serie c1 = new Serie("Alkalimetalle", new Color(250, 160, 160));
        Serie c2 = new Serie("Erdalkalimetalle", new Color(250, 250, 190));
        Serie c3 = new Serie("Lanthanoide", new Color(190, 190, 240));
        Serie c4 = new Serie("Actinoide", new Color(170, 170, 240));
        Serie c5 = new Serie("bergangsmetalle", new Color(240, 210, 190));
        Serie c6 = new Serie("Unedle Metalle", new Color(190, 190, 190));
        Serie c7 = new Serie("Halbmetalle", new Color(140, 190, 140));
        Serie c8 = new Serie("Nichtmetalle (polyatomar)", new Color(90, 250, 90));
        Serie c9 = new Serie("Nichtmetalle (diatomar)", new Color(200, 255, 120));
        Serie c10 = new Serie("Edelgase", new Color(170, 250, 255));

        Gruppe g1 = new Gruppe(1, "IA", "IA", "Alkalimetalle", new Color(250, 80, 80));
        Gruppe g2 = new Gruppe(2, "IIA", "IIA", "Erdalkalimetalle", new Color(250, 130, 130));

        Gruppe g3 = new Gruppe(3, "IIIB", "IIIA", "Scandiumgruppe", new Color(250, 100, 100));
        Gruppe g4 = new Gruppe(4, "IVB", "IVA", "Titangruppe", new Color(250, 100, 100));
        Gruppe g5 = new Gruppe(5, "VB", "VA", "Vanadiumgruppe", new Color(250, 100, 100));
        Gruppe g6 = new Gruppe(6, "VIB", "VIA", "Chromgruppe", new Color(250, 100, 100));
        Gruppe g7 = new Gruppe(7, "VIIB", "VIIA", "Mangangruppe", new Color(250, 100, 100));
        Gruppe g8 = new Gruppe(8, "VIIIB", "VIII", "Eisengruppe", new Color(250, 100, 100));
        Gruppe g9 = new Gruppe(9, "VIIIB", "VIII", "Cobaltgruppe", new Color(250, 100, 100));
        Gruppe g10 = new Gruppe(10, "VIIIB", "VIII", "Nickelgruppe", new Color(250, 100, 100));
        Gruppe g11 = new Gruppe(11, "IB", "IB", "Kupfergruppe", new Color(250, 100, 100));
        Gruppe g12 = new Gruppe(12, "IIB", "IIB", "Zinkgruppe", new Color(250, 100, 100));

        Gruppe g13 = new Gruppe(13, "IIIA", "IIIB", "Borgruppe", new Color(120, 210, 120));
        Gruppe g14 = new Gruppe(14, "IVA", "IVB", "Kohlenstoffgruppe", new Color(0,0,0));
        Gruppe g15 = new Gruppe(15, "VA", "VB", "Pnictogene (Stickstoffgruppe)", new Color(0,0,0));
        Gruppe g16 = new Gruppe(16, "VIA", "VIB", "Chalkogene", new Color(0,0,0));
        Gruppe g17 = new Gruppe(17, "VIIA", "VIIB", "Halogene", new Color(200, 250, 80));
        Gruppe g18 = new Gruppe(18, "VIIIA", "O", "Edelgase", new Color(80, 80, 250));

        elemente = new Element [116];

        elemente[0] = new Element("H", "Wasserstoff", 1, 1, 1.008f, g1, c9,
                new Elektronenkonfiguration(null, "1s1"), 2.2f);
        elemente[1] = new Element("He","Helium", 2, 1, 4.00260f, g18, c10,
                new Elektronenkonfiguration(null, "1s2"), 0.0f);

        elemente[2] = new Element("Li", "Lithium", 3, 2, 6.94f, g1, c1,
                new Elektronenkonfiguration(elemente[1], "2s1"), 0.98f);
        elemente[3] = new Element("Be", "Beryllium", 4, 2, 9.012182f, g2, c2,
                new Elektronenkonfiguration(elemente[1], "2s2"), 1.57f);
        elemente[4] = new Element("B", "Bor", 5, 2, 10.81f, g13, c7,
                new Elektronenkonfiguration(elemente[1], "2s2 2p1"), 2.04f);
        elemente[5] = new Element("C", "Kohlenstoff", 6, 2, 12.011f, g14, c8,
                new Elektronenkonfiguration(elemente[1], "2s2 2p2"), 2.55f);
        elemente[6] = new Element("N", "Stickstoff", 7, 2, 14.0067f, g15, c9,
                new Elektronenkonfiguration(elemente[1], "2s2 2p3"), 3.04f);
        elemente[7] = new Element("O", "Sauerstoff", 8, 2, 15.9997f, g16, c9,
                new Elektronenkonfiguration(elemente[1], "2s2 2p4"), 3.440f);
        elemente[8] = new Element("F", "Fluor", 9, 2, 18.9984032f, g17, c9,
                new Elektronenkonfiguration(elemente[1], "2s2 3p5"), 4.0f);
        elemente[9] = new Element("Ne", "Neon", 10, 2, 20.1797f, g18, c10,
                new Elektronenkonfiguration(elemente[1], "2s2 3p6"), 0.0f);

        elemente[10] = new Element("Na", "Natrium", 11, 3, 22.98976928f, g1, c1,
                new Elektronenkonfiguration(elemente[9], "3s1"), 0.93f);
        elemente[11] = new Element("Mg", "Magnesium", 12, 3, 24.305f, g2, c2,
                new Elektronenkonfiguration(elemente[9], "3s2"), 1.31f);
        elemente[12] = new Element("Al", "Aluminium", 13, 3, 26.981538f, g13, c6,
                new Elektronenkonfiguration(elemente[9], "3s2 3p1"), 1.610f);
        elemente[13] = new Element("Si", "Silizium", 14, 3, 28.085f, g14, c7,
                new Elektronenkonfiguration(elemente[9], "3s2 3p2"), 1.90f);
        elemente[14] = new Element("P", "Phosphor", 15, 3, 30.97376f, g15, c8,
                new Elektronenkonfiguration(elemente[9], "3s2 3p3"), 2.19f);
        elemente[15] = new Element("S", "Schwefel", 16, 3, 32.06f, g16, c8,
                new Elektronenkonfiguration(elemente[9], "3s2 3p4"), 2.58f);
        elemente[16] = new Element("Cl", "Chlor", 17, 3, 35.45f, g17, c9,
                new Elektronenkonfiguration(elemente[9], "3s2 3p5"), 0.0f);
        elemente[17] = new Element("Ar", "Argon", 18, 3, 39.948f, g18, c10,
                new Elektronenkonfiguration(elemente[9], "3s2 3p6"), 3.16f);

        elemente[18] = new Element("K", "Kalium", 19, 4, 39.098f, g1, c1,
                new Elektronenkonfiguration(elemente[17], "4s1"), 0.82f);
        elemente[19] = new Element("Ca", "Calcium", 20, 4, 40.078f, g2, c2,
                new Elektronenkonfiguration(elemente[17], "4s2"), 1.00f);
        elemente[20] = new Element("Sc", "Scandium", 21, 4, 44.955910f, g3, c5,
                new Elektronenkonfiguration(elemente[17], "3d1 4s2"), 1.36f);
        elemente[21] = new Element("Ti", "Titan", 22, 4, 47.867f, g4, c5,
                new Elektronenkonfiguration(elemente[17], "3d2 4s2"), 1.54f);
        elemente[22] = new Element("V", "Vanadium", 23, 4, 50.9415f, g5, c5,
                new Elektronenkonfiguration(elemente[17], "3d3 4s2"), 1.63f);
        elemente[23]= new Element("Cr", "Chrom", 24, 4, 51.9961f, g6, c5,
                new Elektronenkonfiguration(elemente[17], "3d5 4s1"), 1.66f);
        elemente[24] = new Element("Mn", "Mangan", 25, 4, 54.938049f, g7, c5,
                new Elektronenkonfiguration(elemente[17], "3d5 4s2"), 1.55f);
        elemente[25] = new Element("Fe", "Eisen", 26, 4, 55.845f, g8, c5,
                new Elektronenkonfiguration(elemente[17], "3d6 4s2"), 1.83f);
        elemente[26] = new Element("Co", "Kobalt", 27, 4, 58.93320f, g9, c5,
                new Elektronenkonfiguration(elemente[17], "3d7 4s2"), 1.88f);
        elemente[27] = new Element("Ni", "Nickel", 28, 4, 58.6934f, g10, c5,
                new Elektronenkonfiguration(elemente[17], "3d8 4s2"), 1.91f); // zweite Konfiguration bekannt
        elemente[28] = new Element("Cu", "Kupfer", 29, 4, 63.546f, g11, c5,
                new Elektronenkonfiguration(elemente[17], "3d10 4s1"), 1.9f);
        elemente[29] = new Element("Zn", "Zink", 30, 4, 65.409f, g12, c5,
                new Elektronenkonfiguration(elemente[17], "3d10 4s2"), 1.65f);
        elemente[30] = new Element("Ga", "Gallium", 31, 4, 69.723f, g13, c6,
                new Elektronenkonfiguration(elemente[17], "3d10 4s2 4p1"), 1.81f);
        elemente[31] = new Element("Ge", "Germanium", 32, 4, 72.63f, g14, c7,
                new Elektronenkonfiguration(elemente[17], "3d10 4s2 4p2"), 2.01f);
        elemente[32] = new Element("As", "Arsen", 33, 4, 74.92159f, g15, c7,
                new Elektronenkonfiguration(elemente[17], "3d10 4s2 4p3"), 2.18f);
        elemente[33] = new Element("Se", "Selen", 34, 4, 78.96f, g16, c8,
                new Elektronenkonfiguration(elemente[17], "3d10 4s2 4p4"), 2.55f);
        elemente[34] = new Element("Br", "Brom", 35, 4, 79.904f, g17, c9,
                new Elektronenkonfiguration(elemente[17], "3d10 4s2 4p5"), 2.96f);
        elemente[35] = new Element("Kr", "Krypton", 36, 4, 83.798f, g18, c10,
                new Elektronenkonfiguration(elemente[17], "3d10 4s2 4p6"), 3.0f);

        elemente[36] = new Element("Rb", "Rubidium", 37, 5, 85.4678f, g1, c1,
                new Elektronenkonfiguration(elemente[35], "5s1"), 0.82f);
        elemente[37] = new Element("Sr", "Strontium", 38, 5, 87.62f, g2, c2,
                new Elektronenkonfiguration(elemente[35], "5s2"), 0.95f);
        elemente[38] = new Element("Y", "Yttrium", 39, 5, 88.90585f, g3, c5,
                new Elektronenkonfiguration(elemente[35], "4d1 5s2"), 1.22f);
        elemente[39] = new Element("Zr", "Zirconium", 40, 5, 91.224f, g4, c5,
                new Elektronenkonfiguration(elemente[35], "4d2 5s2"), 1.33f);
        elemente[40] = new Element("Nb", "Niob", 41, 5, 92.90384f, g5, c5,
                new Elektronenkonfiguration(elemente[35], "4d4 5s1"), 1.6f);
        elemente[41] = new Element("Mo", "Molybdn", 42, 5, 95.94f, g6, c5,
                new Elektronenkonfiguration(elemente[35], "4d5 5s1"), 2.16f);
        elemente[42] = new Element("Tc", "Technetium", 43, 5, 98.9063f, g7, c5,
                new Elektronenkonfiguration(elemente[35], "4d5 5s2"), 1.9f);
        elemente[43] = new Element("Ru", "Ruthenium", 44, 5, 101.07f, g8, c5,
                new Elektronenkonfiguration(elemente[35], "4d7 5s1"), 2.2f);
        elemente[44] = new Element("Rh", "Rhodium", 45, 5, 102.90550f, g9, c5,
                new Elektronenkonfiguration(elemente[35], "4d8 5s1"), 2.28f);
        elemente[45] = new Element("Pd", "Palladium", 46, 5, 106.42f, g10, c5,
                new Elektronenkonfiguration(elemente[35], "4d10 5s0"), 2.20f);
        elemente[46] = new Element("Ag", "Silber", 47, 5, 107.8682f, g11, c5,
                new Elektronenkonfiguration(elemente[35], "4d10 5s1"), 1.93f);
        elemente[47] = new Element("Cd", "Cadmium", 48, 5, 112.411f, g12, c5,
                new Elektronenkonfiguration(elemente[35], "4d10 5s2"), 1.69f);
        elemente[48] = new Element("In", "Indium", 49, 5, 114.818f, g13, c6,
                new Elektronenkonfiguration(elemente[35], "4d10 5s2 5p1"), 1.78f);
        elemente[49] = new Element("Sn", "Zinn", 50, 5, 118.710f, g14, c6,
                new Elektronenkonfiguration(elemente[35], "4d10 5s2 5p2"), 1.96f);
        elemente[50] = new Element("Sb", "Antimon", 51, 5, 121.750f, g15, c7,
                new Elektronenkonfiguration(elemente[35], "4d10 5s2 5p3"), 2.05f);
        elemente[51] = new Element("Te", "Tellur", 52, 5, 127.60f, g16, c7,
                new Elektronenkonfiguration(elemente[35], "4d10 5s2 5p4"), 2.1f);
        elemente[52] = new Element("I", "Iod", 53, 5, 126.90447f, g17, c9,
                new Elektronenkonfiguration(elemente[35], "4d10 5s2 5p5"), 2.66f);
        elemente[53] = new Element("Xe", "Xenon", 54, 5, 131.293f, g18, c10,
                new Elektronenkonfiguration(elemente[35], "4d10 5s2 5p6"), 2.6f);


        elemente[54] = new Element("Cs", "Caesium", 55, 6, 132.9054f, g1, c1,
                new Elektronenkonfiguration(elemente[53], "6s1"), 0.79f);
        elemente[55] = new Element("Ba", "Barium", 56, 6, 137.327f, g2, c2,
                new Elektronenkonfiguration(elemente[53], "6s2"), 0.89f);
        elemente[56] = new Element("La", "Lanthan", 57, 6, 138.9055f, g3, c5,
                new Elektronenkonfiguration(elemente[53], "5d1 6s2"), 1.1f);
        elemente[57] = new Element("Ce", "Cer", 58, 6, 140.116f, g3, c3,
                new Elektronenkonfiguration(elemente[53], "4f1 5d1 6s2"), 1.12f);
        elemente[58] = new Element("Pr", "Praseodym", 59, 6, 140.90765f, g3, c3,
                new Elektronenkonfiguration(elemente[53], "4f3 6s2"), 1.13f);
        elemente[59] = new Element("Nd", "Neodym", 60, 6, 144.24f, g3, c3,
                new Elektronenkonfiguration(elemente[53], "4f4 6s2"), 1.14f);
        elemente[60] = new Element("Pm", "Promethium", 61, 6, 146.9151f, g3, c3,
                new Elektronenkonfiguration(elemente[53], "4f5 6s2"), 0.0f);
        elemente[61] = new Element("Sm", "Samarium", 62, 6, 150.36f, g3, c3,
                new Elektronenkonfiguration(elemente[53], "4f6 6s2"), 1.17f);
        elemente[62] = new Element("Eu", "Europium", 63, 6, 151.864f, g3, c3,
                new Elektronenkonfiguration(elemente[53], "4f7 6s2"), 0.0f);
        elemente[63] = new Element("Gd", "Gadolinium", 64, 6, 157.25f, g3, c3,
                new Elektronenkonfiguration(elemente[53], "4f7 5d1 6s2"), 1.20f);
        elemente[64] = new Element("Tb", "Terbium", 65, 6, 158.92534f, g3, c3,
                new Elektronenkonfiguration(elemente[53], "4f9 6s2"), 0.0f);
        elemente[65] = new Element("Dy", "Dysprosium", 66, 6, 162.50f, g3, c3,
                new Elektronenkonfiguration(elemente[53], "4f10 6s2"), 1.22f);
        elemente[66] = new Element("Ho", "Holmium", 67, 6, 164.93032f, g3, c3,
                new Elektronenkonfiguration(elemente[53], "4f11 6s2"), 1.23f);
        elemente[67] = new Element("Er", "Erbium", 68, 6, 167.26f, g3, c3,
                new Elektronenkonfiguration(elemente[53], "4f12 6s2"), 1.24f);
        elemente[68] = new Element("Tm", "Thulium", 69, 6, 168.93421f, g3, c3,
                new Elektronenkonfiguration(elemente[53], "4f13 6s2"), 1.25f);
        elemente[69] = new Element("Yb", "Ytterbium", 70, 6, 173.041f, g3, c3,
                new Elektronenkonfiguration(elemente[53], "4f14 6s2"), 0.0f);
        elemente[70] = new Element("Lu", "Lutetium", 71, 6, 174.967f, g3, c3,
                new Elektronenkonfiguration(elemente[53], "4f14 5d1 6s2"), 1.27f);
        elemente[71] = new Element("Hf", "Hafnium", 72, 6, 178.49f, g4, c5,
                new Elektronenkonfiguration(elemente[53], "4f14 5d2 6s2"), 1.3f);
        elemente[72] = new Element("Ta", "Tantal", 73, 6, 180.9479f, g5, c5,
                new Elektronenkonfiguration(elemente[53], "4f14 5d3 6s2"), 1.5f);
        elemente[73] = new Element("W", "Wolfram", 74, 6, 183.84f, g6, c5,
                new Elektronenkonfiguration(elemente[53], "4f14 5d4 6s2"), 2.36f);
        elemente[74] = new Element("Re", "Rhenium", 75, 6, 186.207f, g7, c5,
                new Elektronenkonfiguration(elemente[53], "4f14 5d5 6s2"), 1.9f);
        elemente[75] = new Element("Os", "Osmium", 76, 6, 190.23f, g8, c5,
                new Elektronenkonfiguration(elemente[53], "4f14 5d6 6s2"), 2.2f);
        elemente[76] = new Element("Ir", "Iridium", 77, 6, 192.217f, g9, c5,
                new Elektronenkonfiguration(elemente[53], "4f14 5d7 6s2"), 2.2f);
        elemente[77] = new Element("Pt", "Platin", 78, 6, 195.084f, g10, c5,
                new Elektronenkonfiguration(elemente[53], "4f14 5d9 6s1"), 2.28f);
        elemente[78] = new Element("Au", "Gold", 79, 6, 196.966569f, g11, c5,
                new Elektronenkonfiguration(elemente[53], "4f14 5d10 6s1"), 2.54f);
        elemente[79] = new Element("Hg", "Quecksilber", 80, 6, 200.59f, g12, c5,
                new Elektronenkonfiguration(elemente[53], "4f14 5d10 6s2"), 2.0f);
        elemente[80] = new Element("Tl", "Thallium", 81, 6, 204.38f, g13, c6,
                new Elektronenkonfiguration(elemente[53], "4f14 5d10 6s2 6p1"), 1.62f);
        elemente[81] = new Element("Pb", "Blei", 82, 6, 207.2f, g14, c6,
                new Elektronenkonfiguration(elemente[53], "4f14 5d10 6s2 6p2"), 2.33f);
        elemente[82] = new Element("Bi", "Bismut", 83, 6, 208.98038f, g15, c6,
                new Elektronenkonfiguration(elemente[53], "4f14 5d10 6s2 6p3"), 2.02f);
        elemente[83] = new Element("Po", "Polonium", 84, 6, 209.98f, g16, c6,
                new Elektronenkonfiguration(elemente[53], "4f14 5d10 6s2 6p4"), 2.0f);
        elemente[84] = new Element("At", "Astat", 85, 6, 209.9871f, g17, c7,
                new Elektronenkonfiguration(elemente[53], "4f14 5d10 6s2 6p5"), 2.2f);
        elemente[85] = new Element("Rn", "Radon", 86, 6, 222f, g18, c10,
                new Elektronenkonfiguration(elemente[53], "4f14 5d10 6s2 6p6"), 0.0f);

        elemente[86] = new Element("Fr", "Francium", 87, 7, 223.0197f, g1, c1,
                new Elektronenkonfiguration(elemente[85], "7s1"), 0.7f);
        elemente[87] = new Element("Ra", "Radium", 88, 7, 226.0254f, g2, c2,
                new Elektronenkonfiguration(elemente[85], "7s2"), 0.9f);
        elemente[88] = new Element("Ac", "Actinium", 89, 7, 227.0278f, g3, c5,
                new Elektronenkonfiguration(elemente[85], "6d1 7s2"), 1.1f);
        elemente[89] = new Element("Th", "Thorium", 90, 7, 232.0381f, g3, c4,
                new Elektronenkonfiguration(elemente[85], "6d2 7s2"), 1.3f);
        elemente[90] = new Element("Pa", "Protactinium", 91, 7, 231.03588f, g3, c4,
                new Elektronenkonfiguration(elemente[85], "5f2 6d1 7s2"), 1.5f);
        elemente[91] = new Element("U", "Uran", 92, 7, 238.0289f, g3, c4,
                new Elektronenkonfiguration(elemente[85], "5f3 6d1 7s2"), 1.38f);
        elemente[92] = new Element("Np", "Neptunium", 93, 7, 237.0482f, g3, c4,
                new Elektronenkonfiguration(elemente[85], "5f4 6d1 7s2"), 1.36f);
        elemente[93] = new Element("Pu", "Plutonium", 94, 7, 244.0642f, g3, c4,
                new Elektronenkonfiguration(elemente[85], "5f6 7s2"), 1.28f);
        elemente[94] = new Element("Am", "Americium", 95, 7, 243.061375f, g3, c4,
                new Elektronenkonfiguration(elemente[85], "5f7 7s2"), 1.3f);
        elemente[95] = new Element("Cm", "Curium", 96, 7, 247.0703f, g3, c4,
                new Elektronenkonfiguration(elemente[85], "5f7 6d1 7s2"), 1.3f);
        elemente[96] = new Element("Bk", "Berkelium", 97, 7, 247.0f, g3, c4,
                new Elektronenkonfiguration(elemente[85], "5f9 7s2"), 1.3f);
        elemente[97] = new Element("Cf", "Californium", 98, 7, 251.0f, g3, c4,
                new Elektronenkonfiguration(elemente[85], "5f10 7s2"), 1.3f);
        elemente[98] = new Element("Es", "Einsteinium", 99, 7, 252.0f, g3, c4,
                new Elektronenkonfiguration(elemente[85], "5f11 7s2"), 0.0f);
        elemente[99] = new Element("Fm", "Fermium", 100, 7, 257.0951f, g3, c4,
                new Elektronenkonfiguration(elemente[85], "5f12 7s2"), 0.0f);
        elemente[100] = new Element("Md", "Mendelevium", 101, 7, 258.0f, g3, c4,
                new Elektronenkonfiguration(elemente[85], "5f13 7s2"), 0.0f);
        elemente[101] = new Element("No", "Nobelium", 102, 7, 259.0f, g3, c4,
                new Elektronenkonfiguration(elemente[85], "5f14 7s2"), 0.0f);
        elemente[102] = new Element("Lr", "Lawrencium", 103, 7, 259.0f, g3, c4,
                new Elektronenkonfiguration(elemente[85], "5f14 6d1 7s2"), 0.0f); // electron cofig questionable
        elemente[103] = new Element("Rf", "Rutherfordium", 104, 7, 261.1087f, g4, c5,
                new Elektronenkonfiguration(elemente[85], "5f14 6d2 7s2"), 0.0f);
        elemente[104] = new Element("Db", "Dubnium", 105, 7, 262.1138f, g5, c5,
                new Elektronenkonfiguration(elemente[85], "5f14 6d3 7s2"), 0.0f);
        elemente[105] = new Element("Sg", "Seaborgium", 106, 7, 263.1182f, g6, c5,
                new Elektronenkonfiguration(elemente[85], "5f14 6d4 7s2"), 0.0f);
        elemente[106] = new Element("Bh", "Bohrium", 107, 7, 262.1229f, g7, c5,
                new Elektronenkonfiguration(elemente[85], "5f14 6d5 7s2"), 0.0f);
        elemente[107] = new Element("Hs", "Hassium", 108, 7, 265f, g8, c5,
                new Elektronenkonfiguration(elemente[85], "5f14 6d6 7s2"), 0.0f);
        elemente[108] = new Element("Mt", "Meitnerium", 109, 7, 268f, g9, c5,
                new Elektronenkonfiguration(elemente[85], "5f14 6d7 7s2"), 0.0f);
        elemente[109] = new Element("Ds", "Darmstadtium", 110, 7, 281f, g10, c5,
                new Elektronenkonfiguration(elemente[85], "5f14 6d8 7s2"), 0.0f);
        elemente[110] = new Element("Rg", "Roentgenium", 111, 7, 280f, g11, c5,
                new Elektronenkonfiguration(elemente[85], "5f14 6d10 7s1"), 0.0f);
        elemente[111] = new Element("Cn", "Copernicium", 112, 7, 277f, g12, c5,
                new Elektronenkonfiguration(elemente[85], "5f14 6d10 7s2"), 0.0f);
        elemente[112] = new Element("Uut", "Ununtrium", 113, 7, 287f, g13, c6,
                new Elektronenkonfiguration(elemente[85], "5f14 6d10 7s2 7p1"), 0.0f);
        elemente[113] = new Element("Fl", "Flerovium", 114, 7, 289f, g14, c6,
                new Elektronenkonfiguration(elemente[85], "5f14 6d10 7s2 7p2"), 0.0f);
        elemente[114] = new Element("Uup", "Ununpentium", 115, 7, 288f, g15, c6,
                new Elektronenkonfiguration(elemente[85], "5f14 6d10 7s2 7p3"), 0.0f);
        elemente[115] = new Element("Lv", "Livermorium", 116, 7, 293f, g16, c6,
                new Elektronenkonfiguration(elemente[85], "5f14 6d10 7s2 7p4"), 0.0f);
    }

    public Element elementMitName(String name) {
        for (int i = 0; i < elemente.length; i++) {
            if (name.equals(elemente[i].symbol)) {
                return elemente[i];
            }
        }
        return null;
    }

    public int elementanzahl () {
        return elemente.length;
    }

    public Element elementMitOrdnungszahl(int ordinalNumber) {
        return elemente[ordinalNumber - 1];
    }

}
