
package parser;

/**
 * Die abstrakte Basisklasse aller Token.
 * Ein Token wird durch seine Anfangsposition in einer Zeichenreihe sowie durch
 * seinen Inhalt bestimmt. Der Inhalt eines Token wird in abgeleiteten Klassen
 * festgelegt.
 * @author B. Gaertner
 */
public abstract class AbstractToken {

    protected int startPos;

    protected AbstractToken (int p) {
        startPos = p;
    }

    public int getStartPosition() {
        return startPos;
    }

    public int getEndPosition() {
        return startPos;
    }

    public boolean isEndToken() {
        return false;
    }

    public boolean isUnclassifiedToken() {
        return false;
    }
    public boolean isNumber() {
        return false;
    }

    public boolean isName() {
        return false;
    }

    public boolean isSymbol(String s) {
        return false;
    }

    public String getString() {
        return "";
    }
}
