
package parser;

/**
*
* @author B. Gaertner
*/
public enum SyntaxError {
   END_OF_LINE("Die Eingabe endet unerwartet"),
   UNEXPECTED_TOKEN("unerwartetes Zeichen folgt einem Ausdruck"),
   RIGHT_PARENTHESIS_EXPECTED("\")\" erwartet"),
   PRIMARY_EXPECTED("Hier wird ein Name, eine Zahl oder eine linke Klammer erwartet");


   /**
    * the display string of the enum value
    */
   private String name;

   /**
    * Create a value and assign a display string
    * @param n the display string to be used
    */
   SyntaxError (String n) {
       this.name = n;
   }

   /**
    * This method returns the display string for use in a JList
    * @return display string of the enum value
    * @see JList
    */
   @Override
   public String toString() {
       return name;
   }
}
