
package parser;

/**
 *
 * @author B. Gaertner
 */
public class TokenStream {

    private StringTokenizer source;
    AbstractToken nextTokenToConsume;
    boolean validToken;

    public TokenStream (StringTokenizer s) {
        source = s;
        this.nextToken();
    }

    private void nextToken() {
        source.skipWhitespace();
        validToken = !source.atEnd();
        if (validToken) {
            nextTokenToConsume = source.nextToken();
        }
    }

    public boolean atEnd() {
        return !validToken;
    }

    public AbstractToken peek() {
        return validToken ? nextTokenToConsume : new EndToken(source.currentPos);
    }

    public AbstractToken next() {
        if (validToken) {
            AbstractToken t = nextTokenToConsume;
            this.nextToken();
            return t;
        } else {
            return new EndToken(source.currentPos);
        }
    }

    public boolean peekFor(String s) {
        if (!validToken) {
            return false;
        }
        if (nextTokenToConsume.isSymbol(s)) {
            this.nextToken();
            return true;
        } else {
            return false;
        }
    }
}
