package parsertests;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;

import java.util.HashMap;
import parser.FormulaParser;
import parser.NotificationOfSyntaxError;
import notions.*;
import parser.SyntaxError;
import window.ApplicationModel;

/**
 *
 * @author B. Gaertner
 */
public class ParserTest {

    public ParserTest() {
    }

    @BeforeClass
    public static void setUpClass() {
    }

    @AfterClass
    public static void tearDownClass() {
    }

    @Before
    public void setUp() {
    }

    @After
    public void tearDown() {
    }

    // TODO add test methods here.
    // The methods must be annotated with annotation @Test. For example:
    //
    // @Test
    // public void hello() {}


    @Test
    public void test001() {
        Periodensystem pse = new ApplicationModel().periodensystem();
        FormulaParser parser = new FormulaParser(pse);
        Reaktionsgleichung eq;
        try {
            eq = parser.parseFormula("2 H2 + O2 -> 2 H2O");
        }
        catch (NotificationOfSyntaxError ex) {
            System.out.println(ex.getMessage());
            assertTrue(false);
            return;
        }
        boolean x = eq.istWohlgeformt();
        assertTrue(x);
    }

    @Test
    public void test002() {
        Periodensystem pse = new ApplicationModel().periodensystem();
        FormulaParser parser = new FormulaParser(pse);
        Reaktionsgleichung eq;
        try {
            eq = parser.parseFormula("2 H2 + 2 O2 -> 2 H2O");
        }
        catch (NotificationOfSyntaxError ex) {
            System.out.println(ex.getMessage());
            assertTrue(false);
            return;
        }
        boolean x = eq.istWohlgeformt();
        assertTrue(!x);
    }


    @Test
    public void test050() {
        Periodensystem pse = new ApplicationModel().periodensystem();
        FormulaParser parser = new FormulaParser(pse);
        Verbindung mf;
        try {
            mf = parser.parseComposite("CH3(CH2)4CH3");
        }
        catch (NotificationOfSyntaxError ex) {
            System.out.println(ex.getMessage());
            assertTrue(false);
            return;
        }

        String str = mf.condensedHillFormula();
        assertTrue(str.equals("C6H14"));
    }

    @Test
    public void test051() {
        Periodensystem pse = new ApplicationModel().periodensystem();
        FormulaParser parser = new FormulaParser(pse);
        Verbindung mf;
        try {
            mf = parser.parseComposite("ClCH3");
        }
        catch (NotificationOfSyntaxError ex) {
            System.out.println(ex.getMessage());
            assertTrue(false);
            return;
        }

        String str = mf.condensedHillFormula();
        assertTrue(str.equals("CH3Cl"));
    }

    @Test
    public void test052() {
        Periodensystem pse = new ApplicationModel().periodensystem();
        FormulaParser parser = new FormulaParser(pse);
        Verbindung mf;
        try {
            mf = parser.parseComposite("Cl&");
        }
        catch (NotificationOfSyntaxError ex) {
            System.out.println(ex.getMessage());
            assertTrue(ex.getErrorID() == SyntaxError.UNEXPECTED_TOKEN);
            return;
        }

        assertTrue(false);
    }
}